PKGCTL-ISSUE-CREATE(1)

NOME
pkgctl-issue-create - Cria uma nova issue

SINOPSE

pkgctl issue create [OPÇÕES]

DESCRIÇÃO

O comando create é usado para criar uma nova issue para um pacote Arch Linux. Este comando é adequado para relatar bugs, regressões, solicitações de recursos ou quaisquer outros problemas relacionados a um pacote. Ele fornece uma maneira flexível de documentar e rastrear novas issues dentro do sistema de rastreamento de problemas do projeto.

Por padrão, o comando opera dentro do diretório atual, mas os usuários podem especificar uma base de pacote diferente, se necessário.

Os usuários podem fornecer um título para a issue diretamente pela linha de comando. A descrição da issue pode ser fornecida de um arquivo ou editada usando um editor de texto. Como alternativa, os usuários podem optar por continuar o processo de criação da issue usando a interface web para uma experiência mais interativa.

O comando permite definir várias etiquetas e vários atributos para o problema, como confidencialidade, prioridade, escopo, gravidade e status. Essas opções ajudam a categorizar e priorizar o problema adequadamente dentro do sistema de rastreamento.

Em caso de falha na execução, o comando pode se recuperar automaticamente dados.

Este comando é essencial para mantenedores, colaboradores e usuários que precisam relatar novos problemas relacionados aos pacotes do Arch Linux.

OPÇÕES

-p, --package PKGBASE
    Interage com PKGBASE em vez do diretório atual

-t, --title TÍTULO
    Usa o título fornecido para o issue

-F, --file ARQUIVO
    Pega a descrição da issue do <arquivo>

-e, --edit
    Edita a descrição da issue usando um editor

-w, --web
    Continua a criação da issue com a interface web

--recover
    Recupera automaticamente de uma execução com falha

--confidentiality TIPO
    Define a confidencialidade do issue

--priority PRIORIDADE
    Define a etiqueta de prioridade

--scope ESCOPO
    Define a etiqueta de escopo

--severity GRAVIDADE
    Define a etiqueta de gravidade

--status STATUS
    Define a etiqueta de status

-h, --help
    Mostra um texto de ajuda.

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).